> For the complete documentation index, see [llms.txt](https://apidocs.webcom.mobi/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/json-specification/sms-status-request/webhook.md).

# Webhook

It is necessary to tell the manager the address of your server, which will receive SMS statuses

A method for sending a JSON document: **`POST`**

For example, in php, a JSON document would be accessed via the function **`file_get_contents("php://input")`** or a variable **`$GLOBALS['HTTP_RAW_POST_DATA']`**

The system sends a JSON document to the client server with the following content:

```json
[
    {
        "id_sms": "SMS ID in the system to check the status",
        "time": "2011-01-01 12:57:46",
        "state": "Status"
        },
    {
        "id_sms": "SMS ID in the system to check the status",
        "time": "2011-01-01 12:57:46",
        "state": "Status"
    }
]

```

### Parameter decoding

<table><thead><tr><th width="153.33333333333331">Parameter</th><th width="152">Data type</th><th>Description</th></tr></thead><tbody><tr><td>id_sms</td><td>Int</td><td>SMS message number received in the response JSON-document in the process of sending SMS message</td></tr><tr><td>time</td><td>String</td><td>Time of status change</td></tr><tr><td>state</td><td>String</td><td><p>Last message status: </p><ul><li>"send" - message status not received. In this case, an empty time (time="") is transmitted </li><li>"not_deliver" - the message was not delivered. Final status (does not change with time) </li><li>"expired" - the subscriber was not in the network at the moments when the delivery attempt was made. Final status (does not change with time) </li><li>"deliver" - the message has been delivered. </li><li>"read" - the message has been read. Final status (does not change over time) </li><li>"partly_deliver" - the message was sent, but the status was not receive</li></ul></td></tr></tbody></table>

### Returned client server response in JSON document

{% hint style="danger" %}
If the client server does not transmit **id\_sms**, the status will be considered as not received by the client. In this case 5 attempts will be made to deliver the status.
{% endhint %}

```json
[
    {
        "id_sms":3234
    },
    {
        "id_sms":3235
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/json-specification/sms-status-request/webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
